# IRC plugin

The IRC plugin is designed to chat thru IRC protocols with other people. It is multi-servers, and offers all expected IRC commands including DCC chat and file transfer (via xfer plugin, see ).

## Command line options

It is possible to give URL for one or many IRC servers, as follow:

    irc[6][s]://[pseudo[:mot_passe]@]irc.example.org[:port][/channel][,channel[...]

Example to join #weechat and #toto on "`irc.freenode.net`" server, default port (6667), with "nono" nick:

    $ weechat-curses irc://nono@irc.freenode.net/#weechat,#toto

## Configuration options

&irc_options.xml;

## Infos and infolists

Type | Name | Description
--- | --- | ---

&irc_infos.xml;